<?php

function generate_config()
{
    include_once("../config/node_parameters.php");  /* DO NOT DELETE THIS LINE */ //All link parameters
    
    
return "
# JUNIPER Configuration on device IP: $IP
# ########################################################################## !!


#### Static route ##########################################################################################

set  routing-options static route $IP_PA next-hop $IP_NEXT_HOP

#set  policy-options policy-statement BGP_STATIC term static from route-filter $IP_PA orlonger

##### Interface config ########################################################################################
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC description $INTERFACE_DESCRIPTION_SRC
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet filter input $INTERFACE_DESCRIPTION_SRC-IN
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet filter output $INTERFACE_DESCRIPTION_SRC-OUT
#set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet policer arp ARP-LIMIT
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet policer input $INTERFACE_DESCRIPTION_SRC-IN
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet policer output $INTERFACE_DESCRIPTION_SRC-OUT
set  interface $INTERFACE_SRC unit $SUBINTERFACE_SRC family inet address $IP_P2P_GATEWAY/$IP_P2P_MASK

##### IN filter  #####################################################################################
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T1 from destination-address $IP_P2P_GATEWAY/32
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T1 from protocol icmp
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T1 then accept
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T2 from destination-address $IP_P2P_GATEWAY/32
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T2 from protocol tcp
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T2 then discard
#set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T3 from destination-address 192.168.0.0/16
#set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T3 from destination-address 172.16.0.0/12
#set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T3 from destination-address 10.0.0.0/8
#set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T3 then discard
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T4 from source-address $IP_P2P/$IP_P2P_MASK

##### PA IP address ########################################################################################
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T4 from source-address $IP_PA
#set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T4 then dscp 0
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T4 then accept
set  firewall filter $INTERFACE_DESCRIPTION_SRC-IN term T5 then discard


##### OUT filter ############################################################################################
set  firewall filter $INTERFACE_DESCRIPTION_SRC-OUT term T1 from destination-address $IP_P2P/$IP_P2P_MASK
set  firewall filter $INTERFACE_DESCRIPTION_SRC-OUT term T1 from destination-address $IP_PA
set  firewall filter $INTERFACE_DESCRIPTION_SRC-OUT term T1 then accept
set  firewall filter $INTERFACE_DESCRIPTION_SRC-OUT term T2 then discard

##### Policers ##############################################################################################

set  firewall policer $INTERFACE_DESCRIPTION_SRC-IN if-exceeding bandwidth-limit $UPLOAD
set  firewall policer $INTERFACE_DESCRIPTION_SRC-IN if-exceeding burst-size-limit 10m
set  firewall policer $INTERFACE_DESCRIPTION_SRC-IN then discard

set  firewall policer $INTERFACE_DESCRIPTION_SRC-OUT if-exceeding bandwidth-limit $DOWNLOAD
set  firewall policer $INTERFACE_DESCRIPTION_SRC-OUT if-exceeding burst-size-limit 10m
set  firewall policer $INTERFACE_DESCRIPTION_SRC-OUT then discard

##### ARP Policer ##############################################################################################
#set firewall policer ARP-LIMIT if-exceeding bandwidth-limit 8k
#set firewall policer ARP-LIMIT if-exceeding burst-size-limit 1500
#set firewall policer ARP-LIMIT then discard
		
";

}

?>
