<?php
include_once("utils_gen_config.php");

function gen_config_via_vectra_a_bgp($s_params)
{
    $ip_p2p=str_replace('/30','',$s_params['ip_p2p']);
    $ip_p2p=str_replace('/29','',$ip_p2p);
    $ip_p2p_mask=trim(get_ip_p2p_mask($s_params['ip_p2p']));
    $ip_p2p_1=trim(get_ip_p2p_1($s_params['ip_p2p']));
    $ip_p2p_2=trim(get_ip_p2p_2($s_params['ip_p2p']));
    //$ip_pa=   get_ip_pa($s_params['ip_pa']);  //w przypadku BGP adresy PA nie powinny istniec
    $ip_pi=   get_ip_pi($s_params['ip_pi']);
    
    $download=trim(get_download($s_params['pasmo']));
    $burst_d=(int)($download/10);
    $upload=  trim(get_upload($s_params['pasmo']));
    $burst_u=(int)($upload/10);
    
    $conf='';
    $conf.="!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\n";
    $conf.="!!!! Router CISCO A VECTRA Warszawa Pereca ".$s_params['ip_a']." --- ".$s_params['router_a']."\n\n";
    
    $s_vlan=$s_params['s_vlan'];
    if($s_vlan==='') $s_vlan=$s_params['c_vlan']; //konieczne dla zwyklego tranzytu
    $conf.="interface ".$s_params['interface_b'].'.'.$s_vlan." l2transport"."\n";
    $conf.="    description Biznes-MMP-".$s_params['miasto_b']."-QinQ"."\n";
    $conf.="    encapsulation dot1q ".$s_vlan." second-dot1q ".$s_params['c_vlan']."\n";
    $conf.="    mtu 2004"."\n";
    $conf.="    rewrite ingress tag pop 1 symmetric"."\n";
    $conf.="    service-policy input marker_BE"."\n";
    //$conf.="    service-policy output ".$s_params['nazwa_uslugi']."_OUT"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    $conf.="l2vpn"."\n";
    $conf.="    xconnect group BE30_".$s_vlan."_651501246"."\n";
    $conf.="    p2p EoMPLS_ELINE_vlan".$s_vlan."\n";
    $conf.="    interface ".$s_params['interface_b'].'.'.$s_vlan."\n";
    $conf.="    neighbor ipv4 172.17.17.150 pw-id 65150".$s_vlan."\n";
    //$conf.="    neighbor ipv4 89.228.0.50 pw-id ".$s_vlan."\n";
    $conf.="        pw-class fat-pw"."\n";
    $conf.="        exit"."\n";
    $conf.="    exit"."\n";
    $conf.="exit"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    return $conf;
}


function gen_config_via_vectra_a_lokalny_bgp($s_params)
{
    $ip_p2p=str_replace('/30','',$s_params['ip_p2p']);
    $ip_p2p=str_replace('/29','',$ip_p2p);
    $ip_p2p_mask=trim(get_ip_p2p_mask($s_params['ip_p2p']));
    $ip_p2p_1=trim(get_ip_p2p_1($s_params['ip_p2p']));
    $ip_p2p_2=trim(get_ip_p2p_2($s_params['ip_p2p']));
    //$ip_pa=   get_ip_pa($s_params['ip_pa']);  //w przypadku BGP adresy PA nie powinny istniec
    $ip_pi=   get_ip_pi($s_params['ip_pi']);
    
    $download=trim(get_download($s_params['pasmo']));
    $burst_d=(int)($download/10);
    $upload=  trim(get_upload($s_params['pasmo']));
    $burst_u=(int)($upload/10);
    
    $conf='';
    $conf.="!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\n";
    $conf.="!!!! Router CISCO A VECTRA Warszawa Pereca ".$s_params['ip_a']." --- ".$s_params['router_a']."\n\n";
    
    $s_vlan=$s_params['s_vlan'];
    if($s_vlan==='') $s_vlan=$s_params['c_vlan']; //konieczne dla zwyklego tranzytu
    $conf.="interface ".$s_params['interface_b'].'.'.$s_vlan." l2transport"."\n";
    $conf.="    description Biznes-MMP-".$s_params['miasto_b']."-QinQ"."\n";
    $conf.="    encapsulation dot1q ".$s_vlan." second-dot1q ".$s_params['c_vlan']."\n";
    $conf.="    mtu 2004"."\n";
    $conf.="    rewrite ingress tag pop 1 symmetric"."\n";
    $conf.="    service-policy input marker_BE"."\n";
    //$conf.="    service-policy output ".$s_params['nazwa_uslugi']."_OUT"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    $conf.="l2vpn"."\n";
    $conf.="    xconnect group BE30_".$s_vlan."_651501246"."\n";
    $conf.="    p2p EoMPLS_ELINE_vlan".$s_vlan."\n";
    $conf.="    interface ".$s_params['interface_b'].'.'.$s_vlan."\n";
    $conf.="    neighbor ipv4 172.17.17.150 pw-id 65150".$s_vlan."\n";
    //$conf.="    neighbor ipv4 89.228.0.50 pw-id ".$s_vlan."\n";
    $conf.="        pw-class fat-pw"."\n";
    $conf.="        exit"."\n";
    $conf.="    exit"."\n";
    $conf.="exit"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    return $conf;
}


function gen_config_via_vectra_a($s_params)
{
    $download=trim(get_download($s_params['pasmo']));
    $upload=  trim(get_upload($s_params['pasmo']));    
    
    $conf='';
    $conf.="!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\n";
    $conf.="!!!! Router CISCO A VECTRA TRANZYT Warszawa Pereca ".$s_params['ip_a']." --- ".$s_params['router_a']."\n\n";
    
    $s_vlan=$s_params['s_vlan'];
    if($s_vlan==='') $s_vlan=$s_params['c_vlan']; //konieczne dla zwyklego tranzytu
    $conf.="interface ".$s_params['interface_b'].'.'.$s_vlan." l2transport"."\n";
    $conf.="    description Biznes-MMP-".$s_params['miasto_b']."-QinQ"."\n";
    $conf.="    encapsulation dot1q ".$s_vlan." second-dot1q ".$s_params['c_vlan']."\n";
    $conf.="    mtu 2004"."\n";
    $conf.="    rewrite ingress tag pop 1 symmetric"."\n";
    $conf.="    service-policy input marker_BE"."\n";
    //$conf.="    service-policy output ".$s_params['nazwa_uslugi']."_OUT"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    $conf.="l2vpn"."\n";
    $conf.="    xconnect group BE30_".$s_vlan."_651501246"."\n";
    $conf.="    p2p EoMPLS_ELINE_vlan".$s_vlan."\n";
    $conf.="    interface ".$s_params['interface_b'].'.'.$s_vlan."\n";
    $conf.="    neighbor ipv4 172.17.17.150 pw-id 65150".$s_vlan."\n";
    //$conf.="    neighbor ipv4 89.228.0.50 pw-id ".$s_vlan."\n";
    $conf.="        pw-class fat-pw"."\n";
    $conf.="        exit"."\n";
    $conf.="    exit"."\n";
    $conf.="exit"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    return $conf;
}

function gen_config_via_vectra_b($s_params)
{
    $download=trim(get_download($s_params['pasmo']));
    $upload=  trim(get_upload($s_params['pasmo']));    
    
    $conf='';
    $conf.="!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\n";
    $conf.="!!!! Router CISCO B VECTRA -- ".$s_params['ip_b']." --- ".$s_params['router_b']."\n\n";
    
    $s_vlan=$s_params['s_vlan'];
    if($s_vlan==='') $s_vlan=$s_params['c_vlan']; //konieczne dla zwyklego tranzytu
    $conf.="interface ".$s_params['interface_b'].'.'.$s_vlan." l2transport"."\n";
    $conf.="    description Biznes-MMP-".$s_params['miasto_b']."-QinQ"."\n";
    $conf.="    encapsulation dot1q ".$s_vlan." second-dot1q ".$s_params['c_vlan']."\n";
    $conf.="    mtu 2004"."\n";
    $conf.="    rewrite ingress tag pop 1 symmetric"."\n";
    $conf.="    service-policy input marker_BE"."\n";
    //$conf.="    service-policy output ".$s_params['nazwa_uslugi']."_OUT"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    $conf.="l2vpn"."\n";
    $conf.="    xconnect group BE30_".$s_vlan."_651501246"."\n";
    $conf.="    p2p EoMPLS_ELINE_vlan".$s_vlan."\n";
    $conf.="    interface ".$s_params['interface_b'].'.'.$s_vlan."\n";
    $conf.="    neighbor ipv4 172.17.17.150 pw-id 65150".$s_vlan."\n";
    //$conf.="    neighbor ipv4 89.228.0.50 pw-id ".$s_vlan."\n";
    $conf.="        pw-class fat-pw"."\n";
    $conf.="        exit"."\n";
    $conf.="    exit"."\n";
    $conf.="exit"."\n";
    $conf.="exit"."\n";
    $conf.="\n\n";
    
    return $conf;
}
